## CamelIMAPXSettings

CamelIMAPXSettings

## Functions

guint | camel_imapx_settings_get_batch_fetch_count ()
void | camel_imapx_settings_set_batch_fetch_count ()
gboolean | camel_imapx_settings_get_check_all ()
void | camel_imapx_settings_set_check_all ()
gboolean | camel_imapx_settings_get_check_subscribed ()
void | camel_imapx_settings_set_check_subscribed ()
CamelSortType | camel_imapx_settings_get_fetch_order ()
void | camel_imapx_settings_set_fetch_order ()
gboolean | camel_imapx_settings_get_filter_all ()
void | camel_imapx_settings_set_filter_all ()
gboolean | camel_imapx_settings_get_filter_junk ()
void | camel_imapx_settings_set_filter_junk ()
gboolean | camel_imapx_settings_get_filter_junk_inbox ()
void | camel_imapx_settings_set_filter_junk_inbox ()
const gchar * | camel_imapx_settings_get_namespace ()
gchar * | camel_imapx_settings_dup_namespace ()
void | camel_imapx_settings_set_namespace ()
const gchar * | camel_imapx_settings_get_real_junk_path ()
gchar * | camel_imapx_settings_dup_real_junk_path ()
void | camel_imapx_settings_set_real_junk_path ()
const gchar * | camel_imapx_settings_get_real_trash_path ()
gchar * | camel_imapx_settings_dup_real_trash_path ()
void | camel_imapx_settings_set_real_trash_path ()
const gchar * | camel_imapx_settings_get_shell_command ()
gchar * | camel_imapx_settings_dup_shell_command ()
void | camel_imapx_settings_set_shell_command ()
gboolean | camel_imapx_settings_get_use_idle ()
void | camel_imapx_settings_set_use_idle ()
gboolean | camel_imapx_settings_get_use_namespace ()
void | camel_imapx_settings_set_use_namespace ()
gboolean | camel_imapx_settings_get_use_qresync ()
void | camel_imapx_settings_set_use_qresync ()
gboolean | camel_imapx_settings_get_use_real_junk_path ()
void | camel_imapx_settings_set_use_real_junk_path ()
gboolean | camel_imapx_settings_get_use_real_trash_path ()
void | camel_imapx_settings_set_use_real_trash_path ()
gboolean | camel_imapx_settings_get_use_shell_command ()
void | camel_imapx_settings_set_use_shell_command ()
gboolean | camel_imapx_settings_get_use_subscriptions ()
void | camel_imapx_settings_set_use_subscriptions ()

## Properties

guint | batch-fetch-count | Read / Write / Construct
gboolean | check-all | Read / Write / Construct
gboolean | check-subscribed | Read / Write / Construct
guint | concurrent-connections | Read / Write / Construct
CamelSortType | fetch-order | Read / Write / Construct
gboolean | filter-all | Read / Write / Construct
gboolean | filter-junk | Read / Write / Construct
gboolean | filter-junk-inbox | Read / Write / Construct
gboolean | ignore-other-users-namespace | Read / Write / Construct
gboolean | ignore-shared-folders-namespace | Read / Write / Construct
gchar * | namespace | Read / Write / Construct
gchar * | real-junk-path | Read / Write / Construct
gchar * | real-trash-path | Read / Write / Construct
gchar * | shell-command | Read / Write / Construct
gboolean | use-idle | Read / Write / Construct
gboolean | use-namespace | Read / Write / Construct
gboolean | use-qresync | Read / Write / Construct
gboolean | use-real-junk-path | Read / Write / Construct
gboolean | use-real-trash-path | Read / Write / Construct
gboolean | use-shell-command | Read / Write / Construct
gboolean | use-subscriptions | Read / Write / Construct

## Types and Values

struct | CamelIMAPXSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ╰── CamelIMAPXSettings

## Implemented Interfaces

CamelIMAPXSettings implements CamelNetworkSettings.

## Description

## Functions

### camel_imapx_settings_get_batch_fetch_count ()

    guint
    camel_imapx_settings_get_batch_fetch_count
                                   (CamelIMAPXSettings *settings);

Returns the number of message envelopes to fetch at once.

This is a tunable performance parameter and probably should not be exposed in a graphical user interface.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

number of message envelopes to fetch at once

Since 3.2

### camel_imapx_settings_set_batch_fetch_count ()

    void
    camel_imapx_settings_set_batch_fetch_count
                                   (CamelIMAPXSettings *settings,
                                    guint batch_fetch_count);

Sets the number of message envelopes to fetch at once.

This is a tunable performance parameter and probably should not be exposed in a graphical user interface.

#### Parameters

settings | a CamelIMAPXSettings |
batch_fetch_count | number of message envelopes to fetch at once |

Since 3.2

### camel_imapx_settings_get_check_all ()

    gboolean
    camel_imapx_settings_get_check_all (CamelIMAPXSettings *settings);

Returns whether to check all folders for new messages.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to check all folders for new messages

Since 3.2

### camel_imapx_settings_set_check_all ()

    void
    camel_imapx_settings_set_check_all (CamelIMAPXSettings *settings,
                                        gboolean check_all);

Sets whether to check all folders for new messages.

#### Parameters

settings | a CamelIMAPXSettings |
check_all | whether to check all folders for new messages |

Since 3.2

### camel_imapx_settings_get_check_subscribed ()

    gboolean
    camel_imapx_settings_get_check_subscribed
                                   (CamelIMAPXSettings *settings);

Returns whether to check only subscribed folders for new messages. Note that “check-all”, if `TRUE`, overrides this setting.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to check only subscribed folders for new messages

Since 3.2

### camel_imapx_settings_set_check_subscribed ()

    void
    camel_imapx_settings_set_check_subscribed
                                   (CamelIMAPXSettings *settings,
                                    gboolean check_subscribed);

Sets whether to check only subscribed folders for new messages. Note that “check-all”, if `TRUE`, overrides this setting.

#### Parameters

settings | a CamelIMAPXSettings |
check_subscribed | whether to check only subscribed folders for new messages |

Since 3.2

### camel_imapx_settings_get_fetch_order ()

    CamelSortType
    camel_imapx_settings_get_fetch_order (CamelIMAPXSettings *settings);

Returns the order in which new messages should be fetched.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

the order in which new messages should be fetched

Since 3.2

### camel_imapx_settings_set_fetch_order ()

    void
    camel_imapx_settings_set_fetch_order (CamelIMAPXSettings *settings,
                                          CamelSortType fetch_order);

Sets the order in which new messages should be fetched.

#### Parameters

settings | a CamelIMAPXSettings |
fetch_order | the order in which new messages should be fetched |

Since 3.2

### camel_imapx_settings_get_filter_all ()

    gboolean
    camel_imapx_settings_get_filter_all (CamelIMAPXSettings *settings);

Returns whether apply filters in all folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to apply filters in all folders

Since 3.4

### camel_imapx_settings_set_filter_all ()

    void
    camel_imapx_settings_set_filter_all (CamelIMAPXSettings *settings,
                                         gboolean filter_all);

Sets whether to apply filters in all folders.

#### Parameters

settings | a CamelIMAPXSettings |
filter_all | whether to apply filters in all folders |

Since 3.4

### camel_imapx_settings_get_filter_junk ()

    gboolean
    camel_imapx_settings_get_filter_junk (CamelIMAPXSettings *settings);

Returns whether to automatically find and tag junk messages amongst new messages in all folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to filter junk in all folders

Since 3.2

### camel_imapx_settings_set_filter_junk ()

    void
    camel_imapx_settings_set_filter_junk (CamelIMAPXSettings *settings,
                                          gboolean filter_junk);

Sets whether to automatically find and tag junk messages amongst new messages in all folders.

#### Parameters

settings | a CamelIMAPXSettings |
filter_junk | whether to filter junk in all folders |

Since 3.2

### camel_imapx_settings_get_filter_junk_inbox ()

    gboolean
    camel_imapx_settings_get_filter_junk_inbox
                                   (CamelIMAPXSettings *settings);

Returns whether to automatically find and tag junk messages amongst new messages in the Inbox folder only.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to filter junk in Inbox only

Since 3.2

### camel_imapx_settings_set_filter_junk_inbox ()

    void
    camel_imapx_settings_set_filter_junk_inbox
                                   (CamelIMAPXSettings *settings,
                                    gboolean filter_junk_inbox);

Sets whether to automatically find and tag junk messages amongst new messages in the Inbox folder only.

#### Parameters

settings | a CamelIMAPXSettings |
filter_junk_inbox | whether to filter junk in Inbox only |

Since 3.2

### camel_imapx_settings_get_namespace ()

    const gchar *
    camel_imapx_settings_get_namespace (CamelIMAPXSettings *settings);

Returns the custom IMAP namespace in which to find folders.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

the custom IMAP namespace, or `NULL`

Since 3.2

### camel_imapx_settings_dup_namespace ()

    gchar *
    camel_imapx_settings_dup_namespace (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_namespace()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “namespace”

Since 3.4

### camel_imapx_settings_set_namespace ()

    void
    camel_imapx_settings_set_namespace (CamelIMAPXSettings *settings,
                                        const gchar *namespace_);

Sets the custom IMAP namespace in which to find folders. If `namespace_` is `NULL`, the default namespace is used.

#### Parameters

settings | a CamelIMAPXSettings |
namespace_ | an IMAP namespace, or `NULL` |

Since 3.2

### camel_imapx_settings_get_real_junk_path ()

    const gchar *
    camel_imapx_settings_get_real_junk_path
                                   (CamelIMAPXSettings *settings);

Returns the path to a real, non-virtual Junk folder to be used instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

path to a real junk folder

Since 3.8

### camel_imapx_settings_dup_real_junk_path ()

    gchar *
    camel_imapx_settings_dup_real_junk_path
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_real_junk_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “real-junk-path”

Since 3.8

### camel_imapx_settings_set_real_junk_path ()

    void
    camel_imapx_settings_set_real_junk_path
                                   (CamelIMAPXSettings *settings,
                                    const gchar *real_junk_path);

Sets the path to a real, non-virtual Junk folder to be used instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |
real_junk_path | path to a real Junk folder, or `NULL` |

Since 3.8

### camel_imapx_settings_get_real_trash_path ()

    const gchar *
    camel_imapx_settings_get_real_trash_path
                                   (CamelIMAPXSettings *settings);

Returns the path to a real, non-virtual Trash folder to be used instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

path to a real Trash folder

Since 3.8

### camel_imapx_settings_dup_real_trash_path ()

    gchar *
    camel_imapx_settings_dup_real_trash_path
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_real_trash_path()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “real-trash-path”

Since 3.8

### camel_imapx_settings_set_real_trash_path ()

    void
    camel_imapx_settings_set_real_trash_path
                                   (CamelIMAPXSettings *settings,
                                    const gchar *real_trash_path);

Sets the path to a real, non-virtual Trash folder to be used instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |
real_trash_path | path to a real Trash folder, or `NULL` |

Since 3.8

### camel_imapx_settings_get_shell_command ()

    const gchar *
    camel_imapx_settings_get_shell_command
                                   (CamelIMAPXSettings *settings);

Returns an optional shell command used to establish an input/output stream with an IMAP server. Normally the input/output stream is established through a network socket.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option menas or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

shell command for connecting to the server, or `NULL`

Since 3.2

### camel_imapx_settings_dup_shell_command ()

    gchar *
    camel_imapx_settings_dup_shell_command
                                   (CamelIMAPXSettings *settings);

Thread-safe variation of `camel_imapx_settings_get_shell_command()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

a newly-allocated copy of “shell-command”

Since 3.4

### camel_imapx_settings_set_shell_command ()

    void
    camel_imapx_settings_set_shell_command
                                   (CamelIMAPXSettings *settings,
                                    const gchar *shell_command);

Sets an optional shell command used to establish an input/output stream with an IMAP server. Normally the input/output stream is established through a network socket.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |
shell_command | shell command for connecting to the server, or `NULL` |

Since 3.2

### camel_imapx_settings_get_use_idle ()

    gboolean
    camel_imapx_settings_get_use_idle (CamelIMAPXSettings *settings);

Returns whether to use the IMAP IDLE extension if the server supports it. See RFC 2177 for more details.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use the IDLE extension

Since 3.2

### camel_imapx_settings_set_use_idle ()

    void
    camel_imapx_settings_set_use_idle (CamelIMAPXSettings *settings,
                                       gboolean use_idle);

Sets whether to use the IMAP IDLE extension if the server supports it. See RFC 2177 for more details.

#### Parameters

settings | a CamelIMAPXSettings |
use_idle | whether to use the IDLE extension |

Since 3.2

### camel_imapx_settings_get_use_namespace ()

    gboolean
    camel_imapx_settings_get_use_namespace
                                   (CamelIMAPXSettings *settings);

Returns whether to use a custom IMAP namespace to find folders. The namespace itself is given by the “namespace” property.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a custom IMAP namespace

Since 3.2

### camel_imapx_settings_set_use_namespace ()

    void
    camel_imapx_settings_set_use_namespace
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_namespace);

Sets whether to use a custom IMAP namespace to find folders. The namespace itself is given by the “namespace” property.

#### Parameters

settings | a CamelIMAPXSettings |
use_namespace | whether to use a custom IMAP namespace |

Since 3.2

### camel_imapx_settings_get_use_qresync ()

    gboolean
    camel_imapx_settings_get_use_qresync (CamelIMAPXSettings *settings);

Returns whether to use the Quick Mailbox Resynchronization (QRESYNC) IMAP extension if the server supports it. See RFC 5162 for more details.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use the QRESYNC extension

Since 3.2

### camel_imapx_settings_set_use_qresync ()

    void
    camel_imapx_settings_set_use_qresync (CamelIMAPXSettings *settings,
                                          gboolean use_qresync);

Sets whether to use the Quick Mailbox Resynchronization (QRESYNC) IMAP extension if the server supports it. See RFC 5162 for more details.

#### Parameters

settings | a CamelIMAPXSettings |
use_qresync | whether to use the QRESYNC extension |

Since 3.2

### camel_imapx_settings_get_use_real_junk_path ()

    gboolean
    camel_imapx_settings_get_use_real_junk_path
                                   (CamelIMAPXSettings *settings);

Returns whether to use a real, non-virtual Junk folder instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a real Junk folder

Since 3.8

### camel_imapx_settings_set_use_real_junk_path ()

    void
    camel_imapx_settings_set_use_real_junk_path
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_real_junk_path);

Sets whether to use a real, non-virtual Junk folder instead of Camel's standard virtual Junk folder.

#### Parameters

settings | a CamelIMAPXSettings |
use_real_junk_path | whether to use a real Junk folder |

Since 3.8

### camel_imapx_settings_get_use_real_trash_path ()

    gboolean
    camel_imapx_settings_get_use_real_trash_path
                                   (CamelIMAPXSettings *settings);

Returns whether to use a real, non-virtual Trash folder instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a real Trash folder

Since 3.8

### camel_imapx_settings_set_use_real_trash_path ()

    void
    camel_imapx_settings_set_use_real_trash_path
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_real_trash_path);

Sets whether to use a real, non-virtual Trash folder instead of Camel's standard virtual Trash folder.

#### Parameters

settings | a CamelIMAPXSettings |
use_real_trash_path | whether to use a real Trash folder |

Since 3.8

### camel_imapx_settings_get_use_shell_command ()

    gboolean
    camel_imapx_settings_get_use_shell_command
                                   (CamelIMAPXSettings *settings);

Returns whether to use a custom shell command to establish an input/output stream with an IMAP server, instead of the more common method of opening a network socket. The shell command itself is given by the “shell-command” property.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to use a custom shell command to connect to the server

Since 3.2

### camel_imapx_settings_set_use_shell_command ()

    void
    camel_imapx_settings_set_use_shell_command
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_shell_command);

Sets whether to use a custom shell command to establish an input/output stream with an IMAP server, instead of the more common method of opening a network socket. The shell command itself is given by the “shell-command” property.

This option is useful only to a select few advanced users who likely administer their own IMAP server. Most users will not understand what this option means or how to use it. Probably not worth exposing in a graphical interface.

#### Parameters

settings | a CamelIMAPXSettings |
use_shell_command | whether to use a custom shell command to connect to the server |

Since 3.2

### camel_imapx_settings_get_use_subscriptions ()

    gboolean
    camel_imapx_settings_get_use_subscriptions
                                   (CamelIMAPXSettings *settings);

Returns whether to list and operate only on subscribed folders, or to list and operate on all available folders regardless of subscriptions.

#### Parameters

settings | a CamelIMAPXSettings |

#### Returns

whether to honor folder subscriptions

Since 3.2

### camel_imapx_settings_set_use_subscriptions ()

    void
    camel_imapx_settings_set_use_subscriptions
                                   (CamelIMAPXSettings *settings,
                                    gboolean use_subscriptions);

Sets whether to list and operate only on subscribed folders, or to list and operate on all available folders regardless of subscriptions.

#### Parameters

settings | a CamelIMAPXSettings |
use_subscriptions | whether to honor folder subscriptions |

Since 3.2

## Types and Values

### struct CamelIMAPXSettings

    struct CamelIMAPXSettings;

## Property Details

### The `“batch-fetch-count”` property

      “batch-fetch-count”        guint

Number of envelopes to fetch at once.

Flags: Read / Write / Construct

Default value: 500

### The `“check-all”` property

      “check-all”                gboolean

Check all folders for new messages.

Flags: Read / Write / Construct

Default value: FALSE

### The `“check-subscribed”` property

      “check-subscribed”         gboolean

Check only subscribed folders for new messages.

Flags: Read / Write / Construct

Default value: FALSE

### The `“concurrent-connections”` property

      “concurrent-connections”   guint

Number of concurrent IMAP connections to use.

Flags: Read / Write / Construct

Allowed values: [1,7]

Default value: 3

### The `“fetch-order”` property

      “fetch-order”              CamelSortType

Order in which new messages should be fetched.

Flags: Read / Write / Construct

Default value: CAMEL_SORT_ASCENDING

### The `“filter-all”` property

      “filter-all”               gboolean

Whether to apply filters in all folders.

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk”` property

      “filter-junk”              gboolean

Whether to filter junk from all folders.

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk-inbox”` property

      “filter-junk-inbox”        gboolean

Whether to filter junk from Inbox only.

Flags: Read / Write / Construct

Default value: FALSE

### The `“ignore-other-users-namespace”` property

      “ignore-other-users-namespace” gboolean

Whether to ignore other users namespace.

Flags: Read / Write / Construct

Default value: FALSE

### The `“ignore-shared-folders-namespace”` property

      “ignore-shared-folders-namespace” gboolean

Whether to ignore shared folders namespace.

Flags: Read / Write / Construct

Default value: FALSE

### The `“namespace”` property

      “namespace”                gchar *

Custom IMAP namespace.

Flags: Read / Write / Construct

Default value: NULL

### The `“real-junk-path”` property

      “real-junk-path”           gchar *

Path for a non-virtual Junk folder.

Flags: Read / Write / Construct

Default value: NULL

### The `“real-trash-path”` property

      “real-trash-path”          gchar *

Path for a non-virtual Trash folder.

Flags: Read / Write / Construct

Default value: NULL

### The `“shell-command”` property

      “shell-command”            gchar *

Shell command for connecting to the server.

Flags: Read / Write / Construct

Default value: "ssh -C -l %u %h exec /usr/local/libexec/imapd"

### The `“use-idle”` property

      “use-idle”                 gboolean

Whether to use the IDLE IMAP extension.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-namespace”` property

      “use-namespace”            gboolean

Whether to use a custom IMAP namespace.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-qresync”` property

      “use-qresync”              gboolean

Whether to use the QRESYNC IMAP extension.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-real-junk-path”` property

      “use-real-junk-path”       gboolean

Whether to use a non-virtual Junk folder.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-real-trash-path”` property

      “use-real-trash-path”      gboolean

Whether to use a non-virtual Trash folder.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-shell-command”` property

      “use-shell-command”        gboolean

Whether to use a custom shell command to connect to the server.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-subscriptions”` property

      “use-subscriptions”        gboolean

Whether to honor folder subscriptions.

Flags: Read / Write / Construct

Default value: FALSE